: Class ServerEditorFactory

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadmin.editors
Class ServerEditorFactory

    java.lang.Object
      |
      +--org.w3c.jigadmin.editors.ServerEditorFactory

public class ServerEditorFactory
extends java.lang.Object

The ServerEditor Factory

Constructor Summary
`ServerEditorFactory()`

Method Summary
`static java.lang.String` | `getIdentifier(java.lang.String name, ServerBrowser browser)` Get the identifier of the server.
`static ServerEditorInterface` | `getServerEditor(java.lang.String name, ServerBrowser browser, RemoteResourceWrapper server)` Get the ServerEditor of the server.
`static void` | `updateServerEditor(java.lang.String name, ServerBrowser browser, RemoteResourceWrapper server)` Update the ServerEditor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerEditorFactory

    public ServerEditorFactory()

Method Detail

### getIdentifier

    public static java.lang.String getIdentifier(java.lang.String name,
                                                 ServerBrowser browser)

  Get the identifier of the server.
  Parameters:
    `name` - the server name
    `browser` - the browser of the server
  Returns:
    a String

### getServerEditor

    public static ServerEditorInterface getServerEditor(java.lang.String name,
                                                        ServerBrowser browser,
                                                        RemoteResourceWrapper server)

  Get the ServerEditor of the server.
  Parameters:
    `name` - the server name
    `browser` - the ServerBrowser
    `server` - the RemoteResourceWrapper of the server
  Returns:
    The ServerEditor

### updateServerEditor

    public static void updateServerEditor(java.lang.String name,
                                          ServerBrowser browser,
                                          RemoteResourceWrapper server)

  Update the ServerEditor.
  Parameters:
    `name` - the server name
    `browser` - the ServerBrowser
    `server` - the RemoteResourceWrapper of the server

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD